Package org.astrogrid.samp.hub

# Interface ConfigHubProfile

All Superinterfaces:
  `HubProfile`, `ProfileToken`

All Known Implementing Classes:
  `WebHubProfile`

public interface ConfigHubProfile extends HubProfile
Marks a HubProfile that can also provide GUI-based configuration. This is a bit of a hack, in that it's not very general; it is just intended at present for the WebHubProfile and is rather specific to its needs. This interface may change or disappear at some point in the future.

Since:
  22 Jul 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`JToggleButton.ToggleButtonModel[]`
`getConfigModels()`
Returns some toggle button models for hub profile configuration.

### Methods inherited from interface org.astrogrid.samp.hub.HubProfile

`getProfileName, isRunning, start, stop`

### Methods inherited from interface org.astrogrid.samp.hub.ProfileToken

`getMessageRestriction`

## Method Details

### getConfigModels

JToggleButton.ToggleButtonModel[] getConfigModels()
Returns some toggle button models for hub profile configuration.

Returns:
  toggle button model array